<script>
  export let video;
  function print(e) {
    e.preventDefault();
    window.print();
  }

  const link = encodeURIComponent(
    `https://wildwoodhealth.com/diy/#${video.id}`
  );
  const title = encodeURIComponent(video.title);
</script>

<style>
  .share {
    min-width: 193px;
  }
  img {
    width: 35px;
    padding: 5px;
    border: 0;
    box-shadow: 0;
    display: inline-block;
  }

  @media (max-width: 800px) {
    .share {
      margin-top: 5px;
    }
  }
</style>

<!-- I got these buttons from simplesharebuttons.com -->
<div class="share">
  <!-- Facebook -->
  <a href="http://www.facebook.com/sharer.php?u={link}" target="_blank">
    <img
      src="https://simplesharebuttons.com/images/somacro/facebook.png"
      alt="Facebook" />
  </a>

  <!-- Twitter -->
  <a
    href="https://twitter.com/intent/tweet?url={link}&text={title}"
    target="_blank">
    <img
      src="https://simplesharebuttons.com/images/somacro/twitter.png"
      alt="Twitter" />
  </a>

  <!-- Email -->
  <a
    href="mailto:?Subject={video.title}&Body=I%20saw%20this%20and%20thought%20of%20you!%20
    <a href='https://wildwoodhealth.com/diy/%23{video.id}'>{video.title}</a>">
    <img
      src="https://simplesharebuttons.com/images/somacro/email.png"
      alt="Email" />
  </a>

  <!-- Reddit -->
  <a href="http://reddit.com/submit?url={link}&title={title}" target="_blank">
    <img
      src="https://simplesharebuttons.com/images/somacro/reddit.png"
      alt="Reddit" />
  </a>
</div>
